unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  b :Byte;
  i :Integer;
  d :Double;
  e :Extended;
begin
//inicjacja
b:=1;
i:=1000;
d:=1.0;
e:=1E500;
//calk
b:=i;
i:=b;
ShowMessage('b='+IntToStr(b));
ShowMessage('i='+IntToStr(i));
//rzecz
try
  d:=e;
  e:=d;
  ShowMessage('d='+FloatToStr(d));
  ShowMessage('e='+FloatToStr(e));
except
  on Exc :EOverflow do ShowMessage('Przekroczenie zakresu zmiennej ('+Exc.Message+')');
end;
//rzecz-calk
d:=i;
i:=Round(d);
end;

procedure TForm1.Button2Click(Sender: TObject);
var s: String;
begin
s:='  Helion  ';
ShowMessage('$'+s+'$');
s:=Trim(s);                   //usuwanie spacji
ShowMessage('$'+s+'$');
ShowMessage(UpperCase(s));    //wielkie litery
ShowMessage(LowerCase(s));    //małe litry
s:=Copy(s,0,3)+'lo!';         //podłańcuch i łączenie łańcuchów
ShowMessage(s);
Insert(', hello',s,6);        //wstawianie
ShowMessage(s);
ShowMessage('Pierwszy znak "o" znajduje się na pozycji '+IntToStr(Pos('o',s)));
ShowMessage('Łańcuch "'+s+ '" ma długość '+IntToStr(Length(s))+' znaków');
Delete(s,2,7);                //usuwanie fragmentu
ShowMessage(s);
s:=StringReplace(s,'lo!','ion',[rfReplaceAll,rfIgnoreCase]);  //zastępowanie fragmentu
ShowMessage(s);
end;

end.
